drop proc obtiene_tipocambio_proc
go

create proc obtiene_tipocambio_proc
@idmoneda ud_curyid,
@fecha smalldatetime,
@tipocambio numeric(4,2)=0 output
as

declare @TTCAMBIO ud_curytypeid
set @TTCAMBIO= (select SOURCECURYTYPEID FROM SETUP )

SELECT RATE,CURYDATE,OPERADOR FROM CURYRATE WHERE CURYTYPEID=@TTCAMBIO AND FROMCURYID=@idmoneda AND CURYDATE=
								(SELECT MAX(CURYDATE) FROM CURYRATE WHERE CURYDATE<=@FECHA)

go

exec obtiene_tipocambio_proc 'USD','15/10/02'

